import 'package:dio/dio.dart';
import 'package:mofa_core/util/constants/m88.dart';
import 'package:mofa_core/util/constants/base_constants.dart';

class NetworkManager {
  static NetworkManager _networkManager;
  Dio dio;
  BaseProjectConstants callingSource;

  factory NetworkManager(String project) {
    if (_networkManager == null) {
      _networkManager = new NetworkManager._internal(project);
    }
    return _networkManager;
  }

  NetworkManager._internal(String project) {
    dio = Dio();
    switch(project) {
      case "m88":
        callingSource = M88();
        break;
    }
    dio.options.baseUrl = callingSource.getBaseUrl();

  }

  Future<Response> login() async {
    Response response = await dio.post(callingSource.getAuthenUrl(), data: {"cellphone":"0932051902","cellphoneType":1,"token":"11b97fe1d347808f1b68e93f625f9586","hqCellphoneType":"SM-G955F","sysVersion":"samsung:dream2ltexx:9:28","appIdCode":"8","anId":"3d76b55f82fbfdf6","macAddr":"30:07:4D:3A:1D:AE","simId":"","ipAddr":"192.168.1.144","isEmu":"false","regist":""});
    return response;
  }

}